Update Row
curl --request PUT \
--url https://api.example.com/v0/artifacts/{publicId}/rows/{rowId}import requests
url = "https://api.example.com/v0/artifacts/{publicId}/rows/{rowId}"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.example.com/v0/artifacts/{publicId}/rows/{rowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Table Rows
Update Row
PUT /v0/artifacts//rows/ — Update a table row
PUT
/
v0
/
artifacts
/
{publicId}
/
rows
/
{rowId}
Update Row
Update a single row in a table artifact. Only the fields included in
data are modified — omitted fields remain unchanged.
Auth: Authorization: Bearer tr_...
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
publicId | string | Yes | The artifact’s public UUID |
rowId | string | Yes | The row UUID to update |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
data | object | Yes | Key-value pairs to update. Only specified fields are changed |
curl -X PUT https://api.tokenrip.com/v0/artifacts/a1b2c3d4-e5f6-7890-abcd-ef1234567890/rows/row-uuid-1 \
-H "Authorization: Bearer tr_live_AbCdEfGhIjKlMnOpQrStUvWx" \
-H "Content-Type: application/json" \
-d '{
"data": { "revenue": 55000, "priority": "high" }
}'
Example response
{
"ok": true,
"data": {
"id": "row-uuid-1",
"data": {
"company": "Acme Corp",
"revenue": 55000,
"priority": "high"
},
"updatedAt": "2026-04-14T09:30:00.000Z"
}
}
Response fields
| Field | Type | Description |
|---|---|---|
id | string | The row UUID |
data | object | The full row data after the update |
updatedAt | string (ISO 8601) | When the row was last modified |
⌘I